Author Topic: need help to install whatsapp  (Read 44284 times)

Offline PierreP

  • WD FAQ Maker
  • Administrator
  • SuperHero Member
  • *****
  • Posts: 2027
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
Whatsapp Posts - Past Month
« Reply #15 on: December 23, 2012, 07:13:04 PM »
Do you mean that it will be impossible to use whatsapp whith whited00r?...

If the problem is that WhatsApp's server-side checks requires iOS 4.3 and above then it's impossible @ the present.

Max iOS on iPhone 3G is 4.2.1 and whited00r 6 is based on the much faster and fluid 3.1.3.

This is a Google Site Search of whited00r's forum posts about Watsapp filtered by the Past month: http://www.google.com/search?hl=en&q=site%3Awww.whited00r.com+%22whatsapp%22&tbs=qdr:m

FWIW WhatsApp FAQ > What Apple devices do you support?

Quote
WhatsApp for iPhone requires iOS 4.3 or later.

Offline saket

  • Member
  • **
  • Posts: 15
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #16 on: December 23, 2012, 08:14:43 PM »
Thanks all. I was on the verge of throwing this phone and buying new android phone.
Today I removed all old,new whatsapp ipas from my itunes and tried with fresh downloaded whatsapp 2.8.4 from time machine in morning. I didnt require to register on their server again.
it worked well. Its faster, lighter and better version running on my 3g ever.


Cheers,
Saket

Offline PierreP

  • WD FAQ Maker
  • Administrator
  • SuperHero Member
  • *****
  • Posts: 2027
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
Re: WhatsApp 2.8.4 iOS 3.1.3 Not Working
« Reply #17 on: December 23, 2012, 09:21:04 PM »
...tried with fresh downloaded whatsapp 2.8.4 from time machine in morning. I didnt require to register on their server again.
it worked well....

Is your iPhone 3G running on whited00r 6 iOS 3.1.3?

What do you mean by "I didnt require to register on their server again"? Did you have already the "3 digit activation code? Or did you register beforehand your phone number with WhatsApp? Are you living in USA?

Because I just downloaded WhatsApp 2.8.4 from App Market > Time Machine and launching WhatsApp it is asking for a phone number to send via SMS the 3 digit activation code and then it says the dreaded "Sorry, your version of the app is too old". If hitting the Call Me button it returns the same error.

Maybe it's because I have a phone number from Central America?

BTW WhatsApp 2.8.4 is the most recent version working on iOS3.1+. You could not install 2.8.7 with iTools as you mentioned above because it requires iOS 4.2.1 4.3 and up according to iTune$ here. Edited.

Offline saket

  • Member
  • **
  • Posts: 15
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #18 on: December 24, 2012, 06:19:08 AM »
Hi PierreP

Quote
Is your iPhone 3G running on whited00r 6 iOS 3.1.3?
-> Yes this is correct.

Quote
What do you mean by "I didnt require to register on their server again"? Did you have already the "3 digit activation code? Or did you register beforehand your phone number with WhatsApp? Are you living in USA?
-> Yes I did register WhatsApp (its been a year) however I was using 2.6.9 earlier.

Quote
Because I just downloaded WhatsApp 2.8.4 from App Market > Time Machine and launching WhatsApp it is asking for a phone number to send via SMS the 3 digit activation code and then it says the dreaded "Sorry, your version of the app is too old". If hitting the Call Me button it returns the same error.
-> Last week I am not sure what might have gone wrong to whatsapp, it asked me phone number and activation code. I was getting same response as you mentioned above. I removed it from itunes, iphone from everywhere, and when I installed the one from time-machine, I was only asked phone number NO activation code.

Quote
Maybe it's because I have a phone number from Central America?
-> I am from India and yeah they might be filtering some regions. But i was facing same issue and now i dont.
I think there are some timeslots in which whatsapp server doesnt makes checks, I know it sounds stupid  ::)  but dont have any other explanation for it.


Quote
BTW WhatsApp 2.8.4 is the most recent version working on iOS3.1+. You could not install 2.8.7 with iTools as you mentioned above because it requires iOS 4.2.1 and up.
->  :-[.

Cheers,
Saket
« Last Edit: December 24, 2012, 06:21:16 AM by saket »

Offline Stilts

  • New Member
  • *
  • Posts: 2
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #19 on: December 24, 2012, 02:38:36 PM »
wow saket thanks, your post was completely useless.....

Anyway, until someone gets the whatsapp 2.8.7 working on iOS3.1.3. There is no way to use it.
I think this app should get priority to be fixed. Another option is to get (somehow, i don't know how) iOS4.3 to the iPhone 3G.

Be using my old sucky android 2.1 phone for now :(

Offline saket

  • Member
  • **
  • Posts: 15
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #20 on: December 24, 2012, 06:04:03 PM »
wow saket thanks, your post was completely useless.....

Anyway, until someone gets the whatsapp 2.8.7 working on iOS3.1.3. There is no way to use it.
I think this app should get priority to be fixed. Another option is to get (somehow, i don't know how) iOS4.3 to the iPhone 3G.

Be using my old sucky android 2.1 phone for now :(


I can understand ur feelings man. I tried using 4.2.1 on my 3G for more app support. I also tried Android gingerbread on my phone. Both were very slow and annoying. I wouldnt dare to even think about running iOS4.3 on my 3G. Its old gen hardware. 

Nothing runs like WD6 and I am very thankful to WD6 team for their efforts to keep old iPhones alive.


Cheers,
Saket

Offline PierreP

  • WD FAQ Maker
  • Administrator
  • SuperHero Member
  • *****
  • Posts: 2027
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
Re: WhatsApp 2.8.4 Activation Depends on Region or Cellular Provider?
« Reply #21 on: December 24, 2012, 07:15:19 PM »
Hi PierreP...

-> I am from India and yeah they might be filtering some regions. But i was facing same issue and now i dont.
I think there are some timeslots in which whatsapp server doesnt makes checks, I know it sounds stupid  ::)  but dont have any other explanation for it...

I just tried using a free US VPN tunnel and got the same "too old.." error. Either by asking to send via SMS or Call Me. Free VPN: SecurityKISS.com (Plan: GREEN 300 MB / day), setup VPN on iPhone as PPTP. Useful for Pandora or other apps requiring to be in USA and they also have a UK server to access BBC UK for example. See my sig: How-To Find Compatible Apps for a working Pandora on WD 6 and the excellent Internet Radio Box alternative that does not need a US VPN.

Your theory of the servers forgetting to check @ certain time periods or region is interesting.

Also I read in WhatsApp's FAQ that certain cellular providers are blocking (they want you to use regular $ SMS) or not supported but anyway WhatsApp says too old right off the bat.

Offline PierreP

  • WD FAQ Maker
  • Administrator
  • SuperHero Member
  • *****
  • Posts: 2027
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
WhatsApp Fix using Activated WhatsApp Backup
« Reply #22 on: December 26, 2012, 04:49:34 AM »
Lookie here and read also posts below it, WhatsApp Fix using Activated WhatsApp Backup: http://www.whited00r.com/forum/index.php?topic=7068.msg68443#msg68443

It's so dumb to have 2 active threads on the exact same subject...  ::)

Offline alxesto

  • New Member
  • *
  • Posts: 2
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #23 on: December 26, 2012, 08:57:11 PM »
So many instructions... so many "distress calls" and no one can tell us if anyone has an available way to solve the stupid "whatsapp" problem ... Does anyone have any kind of solution? or are you posting useless answers? ...

Well ... in this case, in this situation... im forced to use the ORIGINAL IOS 4.2.1...
Im no longer available to be disturbed with  "NON-WORKING-IOS" whom are only good to call and text (sms).
To do this, i preffer to use any cheap-cell-phone and not an "idevice" at all...
All this Sh*** became ridiculous...

See you all next time
or ever!
( i apologize if anyone feels bad reading this post )
 >:( >:( >:( >:( >:(

Offline PierreP

  • WD FAQ Maker
  • Administrator
  • SuperHero Member
  • *****
  • Posts: 2027
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
Re: need help to install whatsapp
« Reply #24 on: December 26, 2012, 09:13:58 PM »
...and no one can tell us if anyone has an available way to solve the stupid "whatsapp" problem ... Does anyone have any kind of solution?...

...im forced to use the ORIGINAL IOS 4.2.1...

Excellent idea: on your hardware limited iPhone 3G go back to the original dog-slow and RAM hog iOS 4.2.1.   :'(  :'(  :'(

The link in the post above goes to a working WhatsApp suggestion if you have a backup.

Say thank you to WhatsApp & Apple for not making their server-side and/or apps iOS backward compatible because they want to sell new stuff.

And thanks for your very helpful problem solving contribution!

Offline xmodox

  • New Member
  • *
  • Posts: 2
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #25 on: December 26, 2012, 11:22:28 PM »
Well i had the same problem all day.

After trying a lot of useless things...

I deleted the app that was asking me for phone number and instaled the one available from apptimemachine (2.8.4), before opening whatsapp i restored from dropbox (a data i saved from 12-12-12 before installing wd6) using DataDeposit, opened it and did't asked me for phone nomber again, just worked.

Hope it helps

Sorry for my english.

Offline Roger

  • New Member
  • *
  • Posts: 1
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #26 on: December 28, 2012, 09:21:24 AM »
On december 26th I received a message from whatsapp asking me to provide them with the code again. The problem was that when I requested the code whatsapp replied me saying that I needed a newer version, which proved to be only compatible with iOS4.3 or higher (I've tested all the versions in http://apptrackr.cd/).

Then I emailed Whatsapp support service explaining them that it was not possible for 3G users to update to iOS4.3. Besides I explained them that many users where using iOS3.1 instead of iOS4.2 because the device was extremely slow with the latter. As a summary, they basically said that Apple has discontinued iPhone 3G by making uncompatible iOS6 updates with iOS4.2 or older. It sounds strange to me but it seems that there is nothing I can do to solve the problem.
I attach here their response. I hope it is useful to some of you (at least to prevent you from losing time as I did trying to do some tricks).

Claudia G, Dec 27 16:53 (PST):
Hi,

Thanks for your message.

In order to connect to WhatsApp, or activate your number, you will need the latest version of WhatsApp - v2.8.7 - available from the App Store on your iPhone. Please note that iPod and iPad are not supported devices.

The latest version of WhatsApp for iPhone requires iOS 4.3 or later. Regretfully, Apple does not allow new app updates to be compatible with both iOS 6 and older versions of iOS, effectively ending support for iPhone 3G and the original iPhone. Because of Apple's policy change to new App Store submissions, there is nothing we can do at this time for users with older versions of iOS.

If you have an iPhone 3GS or newer device, please update to iOS 4.3 or later.

If you have any other questions or concerns, please feel free to contact us. We would be happy to help!

WhatsApp Support Team[/i]

Offline PierreP

  • WD FAQ Maker
  • Administrator
  • SuperHero Member
  • *****
  • Posts: 2027
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
Re: WhatsApp Support Ticket
« Reply #27 on: December 28, 2012, 10:11:18 AM »

Offline sagar007

  • New Member
  • *
  • Posts: 3
  • Whited00r User
    • View Profile
Re: need help to install whatsapp
« Reply #28 on: January 02, 2013, 07:10:11 AM »
Hi,
thanks everybody for the great work

I tried to download Whatsapp from TimeMachine and, after installing, it asked me for the 3-digit-code without sending me it because "application is too old"
Any suggestion?

Offline PierreP

  • WD FAQ Maker
  • Administrator
  • SuperHero Member
  • *****
  • Posts: 2027
  • Country: cr
  • Everything is Relative
    • View Profile
  • Device: iPhone 3G
  • My Computer: Windows
Help the community and save WhatsApp for old devices
« Reply #29 on: January 02, 2013, 06:59:16 PM »
Update by PierreP 2013-09-01: From App Time Machine - Help the community and save WhatsApp for old devices
Quote
UPDATE 3-Jan-2012: the problem seems partially solved for some v2.8.4 users. It seems that:

1- who was using v2.8.4 and suddenly was kicked out from the service due to the block => WhatsApp v2.8.4 working again now

2- who tries to install WhatsApp v2.8.4 on a device that wasn't already activated => still not working because verification code is not sent

*****
Quote
Help the community and save WhatsApp for old devices

WhatsApp developers blocked access with the last available version for iOS3 and iOS4.

We know that XCode 4.5 drop support for ARMv6 and we can't get upgrade, but the server-side block of WhatsApp is pointless.

You need iPhone 3Gs+ to use their service. Please help us to ask them to enable WhatsApp on old iPhone again!

Send Mail to this address: [email protected] >>Pre-Built Mail<<

Object: WhatsApp v2.8.4 support

Message: Please don't block WhatsApp v2.8.4 for iOS server-side otherwise lots of old iPhone users will not be able to use WhatsApp anymore. Please don't answer that it is a policy of AppStore: YOU blocked the access server-side. We don't want to upgrade the application but we want to continue to use the last version available for our device since we paid for it. Thanks you

Post this on Facebook fanpage too: WhatsApp Official and Join WhatsApp Facebook